<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
 xmlns:h="http://java.sun.com/jsf/html"
 xmlns:cc="http://java.sun.com/jsf/composite"
 xmlns:f="http://java.sun.com/jsf/core">
 

<cc:interface>
	<cc:attribute name="categoria" type="br.com.home.gestor.modelo.Categoria" required="true" />
	<cc:attribute name="controller" required="true" type="br.com.home.gestor.controller.LancamentoController" />
</cc:interface>
 
<cc:implementation>
	<div class="row-fluid">
		<div class="span12 alert alert-success" style="border-radius: 5px;">
		
			<h:commandLink id="removavbleId" styleClass="close" title="Remove categoria" action="#{cc.attrs.controller.removeCategoria}" >
				&times;
				<f:setPropertyActionListener target="#{cc.attrs.controller.categoriaARemover}" value="#{cc.attrs.categoria}"></f:setPropertyActionListener>
			</h:commandLink>
			<h:outputLabel value="#{cc.attrs.categoria.nome}" />
		</div>		
	</div>
</cc:implementation>

</html>